/*	$Id: reg.h,v 1.6 2009/12/12 08:14:17 tsubai Exp $	*/

#ifndef _POWERPC_REG_H_
#define _POWERPC_REG_H_

struct reg {
	register_t fixreg[32];
	register_t lr;
	int cr;
	int xer;
	register_t ctr;
	register_t pc;
};

struct fpreg {
	double fpreg[32];
	double fpscr;		/* FPSCR stored as double for easier access */
};

struct vecreg {
	u_int32_t vreg[32][4];	/* 32 128bit vector registers */
	u_int32_t vscr[4];
	u_int32_t vrsave;
} __aligned(16);

#endif /* _POWERPC_REG_H_ */
